Bug 479337 - [diskdumputils] Support halt_on_error option
[diskdumputils] Support halt_on_error option
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: diskdumputils (Show other bugs)
4.8
All Linux
high Severity high
: rc
: ---
Assigned To: Takao Indoh
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-08 17:38 EST by Takao Indoh
Modified: 2013-08-05 23:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:05:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch to support halt_on_error (1.60 KB, patch)
2009-01-08 17:38 EST, Takao Indoh
no flags Details | Diff
A patch to support halt_on_error [v2] (1.60 KB, patch)
2009-01-08 18:03 EST, Takao Indoh
no flags Details | Diff

  None (edit)
Description Takao Indoh 2009-01-08 17:38:23 EST
Created attachment 328501 [details]
A patch to support halt_on_error

Description of problem:
In RHEL4.8, the diskdump option "halt_on_error" will be newly supported(BZ#477635), so README document in diskdumputils needs to be fixed.

Version-Release number of selected component (if applicable):
diskdumputils-1.4.1-6

How reproducible:
Always

Steps to Reproduce:
1. Read README
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Linda Wang 2009-01-08 17:58:54 EST
The fix for this bug is part of the fix for bug 248666. 

Bug 248666 is used for kernel, and this one is used for
user space pkg, diskdump.  hence inherit bug 248666's flag/permission.
Comment 2 Takao Indoh 2009-01-08 18:03:06 EST
Created attachment 328505 [details]
 A patch to support halt_on_error [v2]

Just fix typo
Comment 3 Dave Anderson 2009-01-09 11:26:13 EST
MODIFIED: CVS Tag: diskdumputils-1_4_1-7
Comment 5 Dave Anderson 2009-01-12 10:10:01 EST
(In reply to comment #1)
> The fix for this bug is part of the fix for bug 248666. 
> 
> Bug 248666 is used for kernel, and this one is used for
> user space pkg, diskdump.  hence inherit bug 248666's flag/permission.

Actually the kernel part for this BZ is not bug 248666, but rather 477635:

  https://bugzilla.redhat.com/show_bug.cgi?id=477635
  Bug 477635 -  If diskdump fails, panic information should be displayed.
Comment 6 Dave Anderson 2009-01-12 11:02:41 EST
Takao,

Vivek Goyal will be applying the kernel-side patch today for
his next RHEL4 kernel rebuild.

Similar to what you did for version 1.4.1-6, can you re-run 
basic sanity tests on the new diskdumputils-1.4.1-7 package
for the QA procedure for the diskdumputils errata?

  RHEA-2009:8209-03 - diskdumputils documentation update
  http://errata.devel.redhat.com/errata/info/8001

You can report your test results here, and I will re-post them
in the errata.

Thanks,
  Dave
Comment 7 Dave Anderson 2009-01-12 17:17:29 EST
> Vivek Goyal will be applying the kernel-side patch today for
> his next RHEL4 kernel rebuild.

Update: Vivek will not be building a new kernel today, but rather
he will do so tomorrow.
Comment 8 Dave Anderson 2009-01-13 13:39:09 EST
Hi Takao,

The latest RHEL4 kernel version 2.6.9-78.28 contains the kernel-side patch
related for kernel bugzilla 477635:

%changelog
* Tue Jan 13 2009 Vivek Goyal <vgoyal@redhat.com> [2.6.9-78.28]
-audit: remove bogus newlines in execve and path audit records (Jiri Pirko) [452390]
-igb: set CONFIG_IGB_LRO=y for igb driver update (Vivek Goyal) [452289 435886]
-system reboot fails after diskdump/netdump (Takao Indoh) [248666]
-diskdump: fix diskdump to stop system when diskdump fails (Takao Indoh) [477635]
-igb: update to upstream version 1.2.45-k2 (Andy Gospodarek) [452289 435886]
-powernow k8: provide c state override when using tscsync (Brian Maly) [429165]
-x86_64 race condition at shutdown panic (Ivan Vecera) [457409]
-nfs4: handle incomplete opens more comprehensively (Jeff Layton) [446396]
-identify pm timer calibration issues during boot (Prarit Bhargava) [456935]
-Fix pm timer kernel option in Kconfig file (Prarit Bhargava) [294821]
-nfsv4: add support for rdattr_error in nfsv4 readdir requests (Jeff Layton) [439431]
-nfsv4: fix problems with callback thread shutdown (Jeff Layton) [432393]

Can you please run a basic sanity test using kernel 2.6.9-78.28 with 
diskdumputils 1.4.1-7?  And then report the results here.

Thanks,
  Dave
Comment 9 Takao Indoh 2009-01-14 16:28:57 EST
Hi Dave,

Originally it seems that README is written so that the length of each line can be shorter than 80 columns, but I found that the new sentences I added include the lines which are longer than 80 columns. Should I fix this? I can fix this soon if needed.
Comment 10 Dave Anderson 2009-01-14 16:40:09 EST
(In reply to comment #9)
> Hi Dave,
> 
> Originally it seems that README is written so that the length of each line can
> be shorter than 80 columns, but I found that the new sentences I added include
> the lines which are longer than 80 columns. Should I fix this? I can fix this
> soon if needed.

In my opinion, it's really not that important.
Comment 11 Takao Indoh 2009-01-14 16:54:44 EST
Ok, I also think it's trivial. I just wondered whether there are those who care this. Thanks.
Comment 12 Takao Indoh 2009-01-16 12:17:29 EST
>Can you please run a basic sanity test using kernel 2.6.9-78.28 with 
>diskdumputils 1.4.1-7?  And then report the results here.

I tested on i386/x86_64/ia64 and there is no problem.
Comment 15 errata-xmlrpc 2009-05-18 16:05:30 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0952.html

Note You need to log in before you can comment on or make changes to this bug.